/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2020 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : hal_entry.h
* Version      : 1.0
* Description  : Entry function.
***********************************************************************************************************************/
/***********************************************************************************************************************
* History : DD.MM.YYYY Version  Description
*         : 30.04.2020 1.00     First Release
***********************************************************************************************************************/

#ifndef HAL_ENTRY_H_
#define HAL_ENTRY_H_

/**********************************************************************************************************************
 Includes   <System Includes> , "Project Includes"
 *********************************************************************************************************************/
#include "board_cfg.h"

/**********************************************************************************************************************
 Macro definitions
 *********************************************************************************************************************/
/** Number of average samples */
#define D_WEIGHT_SAMPLE_NUM         (244U)

/** Number of buffer array */
#define D_ARRAY_LEN                 (32U)

/** Used in message sending process. */
#define D_MESSAGE_STEP_ZEROADJUST   (2U)
#define D_MESSAGE_STEP_WEIGHT       (3U)
#define D_MESSAGE_STEP_OVERFLOW     (2U)
#define D_MESSAGE_STEP_DISCONNECT   (2U)

/** Trap the error location. */
#define APP_ERR_TRAP(a)             if (a) {__asm("BKPT #0\n");}

/***********************************************************************************************************************
 * Function Name: app_error_terminate
 * Description  : This function termination process when an error occurs.
 * Arguments    : None
 * Return Value : None
 **********************************************************************************************************************/
void app_error_terminate (void);

#endif /* HAL_ENTRY_H_ */
